package com.yihu.jw.entity.iot.device;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import com.yihu.jw.entity.util.StringFStringEncryptConverter;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2020/5/7
 */
@Entity
@Table(name = "iot_device_sim")
public class IotDeviceSimDO extends UuidIdentityEntityWithOperator implements Serializable {

    @Column(name = "saas_id")
    private String saasId;//
    @Column(name = "sim")
    private String sim;//'sim卡卡号'
    @Column(name = "advance_payment")
    private float advancePayment;//预缴金额
    @Column(name = "payment")
    private float payment;//套餐资费
    @Column(name = "remaining_balance")
    private float remainingBalance;//余额
    @Column(name = "status")
    private Integer status;//sim状态（-1 已停用 0欠费 1正常）',
    @Column(name = "contacts_name")
    private String contactsName;//
    @Column(name = "contacts_mobile")
    private String contactsMobile;//联系人手机号码

    //新增字段
    @Column(name = "remind_balance")
    private String remindBalance;//提醒金额
    @Column(name = "remind_time")
    private String remindTime;//每月的固定提醒日
    @Column(name = "remind_arrears")
    private String remindArrears;//欠费提醒  1：提醒  0：不提醒
    @Column(name = "del")
    private String del;//删除SIM 1：删除 0：不删除',


    @Column(name = "device_name")
    private String deviceName;//设备名称

    @Column(name = "device_sn")
    private String deviceSn;//设备sn码

    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getSim() {
        return sim;
    }

    public void setSim(String sim) {
        this.sim = sim;
    }


    public float getAdvancePayment() {
        return advancePayment;
    }

    public void setAdvancePayment(float advancePayment) {
        this.advancePayment = advancePayment;
    }

    public float getPayment() {
        return payment;
    }

    public void setPayment(float payment) {
        this.payment = payment;
    }

    public float getRemainingBalance() {
        return remainingBalance;
    }

    public void setRemainingBalance(float remainingBalance) {
        this.remainingBalance = remainingBalance;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Convert(converter = StringFStringEncryptConverter.class)
    public String getContactsName() {
        return contactsName;
    }

    public void setContactsName(String contactsName) {
        this.contactsName = contactsName;
    }

    @Convert(converter = StringFStringEncryptConverter.class)
    public String getContactsMobile() {
        return contactsMobile;
    }

    public void setContactsMobile(String contactsMobile) {
        this.contactsMobile = contactsMobile;
    }


    public String getRemindBalance() {
        return remindBalance;
    }

    public void setRemindBalance(String remindBalance) {
        this.remindBalance = remindBalance;
    }

    public String getRemindTime() {
        return remindTime;
    }

    public void setRemindTime(String remindTime) {
        this.remindTime = remindTime;
    }

    public String getRemindArrears() {
        return remindArrears;
    }



    public void setRemindArrears(String remindArrears) {
        this.remindArrears = remindArrears;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }
}
